import raw

a = raw.raw8(100, 100)
a.clear(0)
a.fill(3, 0, 5, 255)
a.fill(5, 1, 3, 255)
print a.getx(5, 0)
print a.getx(0, 0)
print "show:", [each for each in a.gets(0, 1, 10)]

i = a.get_iterator()
print "skip:", i.skip(0)
print "find:", i.find(0)
print "next_line"
i.next_line()
print "peek:", [each for each in i.peeks(10)]
print "skip:", i.skip(0)
print "find:", i.find(0)
